> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get experiments variant



## OpenAPI

````yaml /api-reference/4.2/service-experiments.json get /experiments/{id}/variant
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service experiments
servers:
  - url: /api/apollo/
security: []
tags:
  - name: experiments
paths:
  /experiments/{id}/variant:
    get:
      tags:
        - 4.2 Experiments API
      operationId: getVariant
      parameters:
        - name: id
          in: path
          description: The experiment ID
          required: true
          schema:
            type: string
        - name: userId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentVariant'
components:
  schemas:
    ExperimentVariant:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        weight:
          type: number
          format: double
          readOnly: true
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT

````